Whats91
Developers

Delivery summary by status and source.

Delivery Analytics

Summary

Delivery summary by status and source.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests

Endpoint: GET /api/v2/reports/analytics/delivery. Delivery summary by status/source.

GET/api/v2/reports/analytics/delivery
ParameterTypeRequiredDescription
senderIdstringOptionalWhatsApp sender phone number.
dateFromstringOptionalYYYY-MM-DD start date.
dateTostringOptionalYYYY-MM-DD end date.
storagestringOptionallive or archive.
sourceTypestringOptionalPUBLIC_API, CAMPAIGN, CHATBOT, FLOW, or another source type.
statusstringOptionalOptional status filter.
Get delivery analytics
curl "https://graph.whats91.com/api/v2/reports/analytics/delivery?sourceType=CAMPAIGN" \
  -H "Authorization: Bearer w91_live_xxx"
Delivery analytics response
{
  "success": true,
  "data": {
    "status": [
      { "status": "delivered", "count": 80 },
      { "status": "read", "count": 55 }
    ],
    "sourceType": [
      { "sourceType": "CAMPAIGN", "count": 100 }
    ]
  }
}

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X GET "https://graph.whats91.com/api/v2/reports/analytics/delivery" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v2/reports/analytics/delivery", {
  method: "GET",
  headers: {
    "Authorization": "Bearer w91_live_xxx",
    "Content-Type": "application/json"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v2/reports/analytics/delivery");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx",
    "Content-Type: application/json"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "GET",
    "https://graph.whats91.com/api/v2/reports/analytics/delivery",
    headers={
        "Authorization": "Bearer w91_live_xxx",
        "Content-Type": "application/json",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v2/reports/analytics/delivery");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs